C      Programmer: Elizabeth Adams
C      Course: CS 430
C      Date Due: August 30, 2007
C      Language: FORTRAN
C      Compiler used: FORCE2.08
C      Source Filename: CHARACTER2.f
C      Executable Filename (if any) or None: CHARACTER2.EXE
C      Professor: Elizabeth Adams

C       The purpose of this program is to illustrate the
C       declaration, assignment, concatenation and printing of
C       CHARACTER variables (i.e. strings).

C       There is no input to this program

C       The output of this program is the contents of the two
C       originalvariables on the same line separated by a single space
C       and the variable constructed from their concatenation

C       Language information
C          strings are stored in variables typed as CHARACTER
C          the length of the string is specified using * and an integer
C          the concatenation operator is double slashes
C          the format descriptor for a string variable is A
C          the format descriptor for a string literal is H

         CHARACTER * 5 ANIMAL
         CHARACTER STRING*13
         CHARACTER L9*2
         ANIMAL = 'dog'
         L9 = 'GY'
         STRING = ANIMAL // L9
         WRITE (6,10) ANIMAL, L9, STRING
  10     FORMAT(1X, A10, 1X, A2, 1X, A10)
         WRITE (6, 12)
  12     FORMAT (1X, 3Hdog,1X, 2Hgy,1X, 5Hdoggy)
         STOP
         END
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
